ELErrorsTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELErrorsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.ErrorsTag
              org.apache.strutsel.taglib.html.ELErrorsTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELErrorsTag

extends ErrorsTag

Custom tag that renders error messages if an appropriate request attribute has been created. The tag looks for a request attribute with a reserved key, and assumes that it is either a String, a String array, containing message keys to be looked up in the module's MessageResources, or an object of type `org.apache.struts.action.ActionErrors`.

The following optional message keys will be utilized if corresponding messages exist for them in the application resources:

- errors.header - If present, the corresponding message will be rendered prior to the individual list of error messages.
- errors.footer - If present, the corresponding message will be rendered following the individual list of error messages.
- errors.prefix - If present, the corresponding message will be rendered before each individual error message.
- errors.suffix - If present, the corresponding message will be rendered after each individual error message.

This class is a subclass of the class `org.apache.struts.taglib.html.ErrorsTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.ErrorsTag
`bundle, footer, header, locale, messages, name, prefix, property, suffix`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELErrorsTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getBundleExpr()` Getter method for "bundle" tag attribute.
`String` | `getFooterExpr()` Getter method for "footer" tag attribute.
`String` | `getHeaderExpr()` Getter method for "header" tag attribute.
`String` | `getLocaleExpr()` Getter method for "locale" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getPrefixExpr()` Getter method for "prefix" tag attribute.
`String` | `getPropertyExpr()` Getter method for "property" tag attribute.
`String` | `getSuffixExpr()` Getter method for "suffix" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setBundleExpr(String bundleExpr)` Setter method for "bundle" tag attribute.
`void` | `setFooterExpr(String footerExpr)` Setter method for "footer" tag attribute.
`void` | `setHeaderExpr(String headerExpr)` Setter method for "header" tag attribute.
`void` | `setLocaleExpr(String localeExpr)` Setter method for "locale" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setPrefixExpr(String prefixExpr)` Setter method for "prefix" tag attribute.
`void` | `setPropertyExpr(String propertyExpr)` Setter method for "property" tag attribute.
`void` | `setSuffixExpr(String suffixExpr)` Setter method for "suffix" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.ErrorsTag
`getBundle, getFooter, getHeader, getLocale, getName, getPrefix, getProperty, getSuffix, setBundle, setFooter, setHeader, setLocale, setName, setPrefix, setProperty, setSuffix`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELErrorsTag

    public ELErrorsTag()

Method Detail

### getBundleExpr

    public String getBundleExpr()

  Getter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### getFooterExpr

    public String getFooterExpr()

  Getter method for "footer" tag attribute. (Mapping set in associated BeanInfo class.)

### getHeaderExpr

    public String getHeaderExpr()

  Getter method for "header" tag attribute. (Mapping set in associated BeanInfo class.)

### getLocaleExpr

    public String getLocaleExpr()

  Getter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getPrefixExpr

    public String getPrefixExpr()

  Getter method for "prefix" tag attribute. (Mapping set in associated BeanInfo class.)

### getPropertyExpr

    public String getPropertyExpr()

  Getter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### getSuffixExpr

    public String getSuffixExpr()

  Getter method for "suffix" tag attribute. (Mapping set in associated BeanInfo class.)

### setBundleExpr

    public void setBundleExpr(String bundleExpr)

  Setter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### setFooterExpr

    public void setFooterExpr(String footerExpr)

  Setter method for "footer" tag attribute. (Mapping set in associated BeanInfo class.)

### setHeaderExpr

    public void setHeaderExpr(String headerExpr)

  Setter method for "header" tag attribute. (Mapping set in associated BeanInfo class.)

### setLocaleExpr

    public void setLocaleExpr(String localeExpr)

  Setter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setPrefixExpr

    public void setPrefixExpr(String prefixExpr)

  Setter method for "prefix" tag attribute. (Mapping set in associated BeanInfo class.)

### setPropertyExpr

    public void setPropertyExpr(String propertyExpr)

  Setter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### setSuffixExpr

    public void setSuffixExpr(String suffixExpr)

  Setter method for "suffix" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ErrorsTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ErrorsTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.